MultiSliceRequest._Fields (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.thrift

## Enum MultiSliceRequest._Fields

- java.lang.Object
- - java.lang.Enum<MultiSliceRequest._Fields>
  - - org.apache.cassandra.thrift.MultiSliceRequest._Fields

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MultiSliceRequest._Fields>, org.apache.thrift.TFieldIdEnum
  Enclosing class:
    MultiSliceRequest

      public static enum MultiSliceRequest._Fields
      extends java.lang.Enum<MultiSliceRequest._Fields>
      implements org.apache.thrift.TFieldIdEnum

  The set of fields this struct contains, along with convenience methods for finding and manipulating them.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COLUMN_PARENT`
    `COLUMN_SLICES`
    `CONSISTENCY_LEVEL`
    `COUNT`
    `KEY`
    `REVERSED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MultiSliceRequest._Fields` | `findByName(java.lang.String name)` Find the _Fields constant that matches name, or null if its not found.
    `static MultiSliceRequest._Fields` | `findByThriftId(int fieldId)` Find the _Fields constant that matches fieldId, or null if its not found.
    `static MultiSliceRequest._Fields` | `findByThriftIdOrThrow(int fieldId)` Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
    `java.lang.String` | `getFieldName()`
    `short` | `getThriftFieldId()`
    `static MultiSliceRequest._Fields` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MultiSliceRequest._Fields[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### KEY

          public static final MultiSliceRequest._Fields KEY

    - #### COLUMN_PARENT

          public static final MultiSliceRequest._Fields COLUMN_PARENT

    - #### COLUMN_SLICES

          public static final MultiSliceRequest._Fields COLUMN_SLICES

    - #### REVERSED

          public static final MultiSliceRequest._Fields REVERSED

    - #### COUNT

          public static final MultiSliceRequest._Fields COUNT

    - #### CONSISTENCY_LEVEL

          public static final MultiSliceRequest._Fields CONSISTENCY_LEVEL

      See Also:
        `ConsistencyLevel`

  - ### Method Detail

    - #### values

          public static MultiSliceRequest._Fields[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MultiSliceRequest._Fields c : MultiSliceRequest._Fields.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MultiSliceRequest._Fields valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### findByThriftId

          public static MultiSliceRequest._Fields findByThriftId(int fieldId)

      Find the _Fields constant that matches fieldId, or null if its not found.

    - #### findByThriftIdOrThrow

          public static MultiSliceRequest._Fields findByThriftIdOrThrow(int fieldId)

      Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

    - #### findByName

          public static MultiSliceRequest._Fields findByName(java.lang.String name)

      Find the _Fields constant that matches name, or null if its not found.

    - #### getThriftFieldId

          public short getThriftFieldId()

      Specified by:
        `getThriftFieldId` in interface `org.apache.thrift.TFieldIdEnum`

    - #### getFieldName

          public java.lang.String getFieldName()

      Specified by:
        `getFieldName` in interface `org.apache.thrift.TFieldIdEnum`

Copyright © 2014 The Apache Software Foundation